aboutsummaryrefslogtreecommitdiff
path: root/tests/package-archive/driver.in
diff options
context:
space:
mode:
Diffstat (limited to 'tests/package-archive/driver.in')
-rw-r--r--tests/package-archive/driver.in20
1 files changed, 20 insertions, 0 deletions
diff --git a/tests/package-archive/driver.in b/tests/package-archive/driver.in
new file mode 100644
index 0000000..d760a1e
--- /dev/null
+++ b/tests/package-archive/driver.in
@@ -0,0 +1,20 @@
+#!/usr/bin/env bash
+
+# file : tests/package-archive/driver.in
+# license : MIT; see accompanying LICENSE file
+
+# bpkg utility path.
+#
+bpkg_rep_bpkg=bpkg
+
+trap "{ exit 1; }" ERR
+set -o errtrace # Trap ERR in functions.
+
+@import bpkg-rep/package-archive@
+
+# Call the function passed on the command line.
+#
+# Note that we reset IFS to make sure that the function being tested is not
+# affected by its value set by the caller.
+#
+IFS= "$@"